import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomeComponent } from './home-component/home.component';
// import { AboutComponent } from './about/about.component';
// import { NotFoundComponent } from './not-found/not-found.component';
//

import { ScoutingCryptoComponent } from 'app/scouting-crypto/scouting-crypto.component';

const routes: Routes = [
  { path: '', redirectTo: '/home', pathMatch: 'full' },
  { path: 'scouting/stocks', component: HomeComponent },
  { path: 'scouting/crypto', component: ScoutingCryptoComponent },
  // { path: '**', component: NotFoundComponent }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule {}
